/**
* Clase usuario. Almacena los detalles del jugador
*/
public class usuario {

/**
* Nombre del jugador
*/
	private String name;
/**
* Puntaje tópico 1
*/
	int puntaje1;
/**
* Puntaje tópico 2
*/
	int puntaje2;
/**
* Puntaje tópico 3
*/
	int puntaje3;
/**
* Puntaje tópico 4
*/
	int puntaje4;
/**
* Cantidad preguntas tópico 1
*/
	int c1;
/**
* Cantidad preguntas tópico 2
*/
	int c2;
/**
* Cantidad preguntas tópico 3
*/
	int c3;
/**
* Cantidad preguntas tópico 4
*/
	int c4;
/**
* Evaluación tópico 1
*/
	String A1;
/**
* Evaluación tópico 2
*/
	String A2;
/**
* Evaluación tópico 3
*/
	String A3;
/**
* Evaluación tópico 4
*/
	String A4;
/**
* Número de preguntas
*/
	int np=3;
/**
* Constructor copia clase usuario
*/
	private usuario(){
		name="";
		puntaje1=0;
		puntaje2=0;
		puntaje3=0;
		puntaje4=0;
		c1=3;
		c2=3;
		c3=3;
		c4=3;
		A1="";
		A2="";
		A3="";
		A4="";
		np=0;
	}
/**
* Constructor clase usuario
* @param p1 Puntaje pregunta 1
* @param p2 Puntaje pregunta 2
* @param p3 Puntaje pregunta 3
* @param p4 Puntaje pregunta 4
* @param fname Nombre del archivo a almacenar info
*/	
	public usuario(int p1,int p2,int p3,int p4,String fname){
		name = fname;
		puntaje1 = p1;	//vocabulario
		puntaje2 = p2;	//conjugacion
		puntaje3 = p3;	//pronombres
		puntaje4 = p4;	//comprension lectora
		c1=3;
		c2=3;
		c3=3;
		c4=3;
		A1="Sin Analizar";
		A2="Sin Analizar";
		A3="Sin Analizar";
		A4="Sin Analizar";
		np=3;
	}
/**
* Analiza el los puntajes obtenidos
*/	
	void Analizar(){
		///////////////////analisis de vocabulario///////////////
		if(puntaje1<=(np*c1)/3){
			c1++;
			c1++;
			A1="Evaluacion muestra deficiencia total en el conocimiento de vocabulario.\nSe sugiere dar apropiada instruccion";
		}
		else if((np*c1)/3 <puntaje1 && puntaje1 <= (np*c1)/2){
			c1++;
			A1="Evaluacion muestra que el conocimiento del vocabulario es deficiente.\nSe sugiere poner mas enfasis en el estudio del mismo";
		}
		else if((np*c1)/2 <puntaje1 && puntaje1 <= (np*c1)*(2/3)){
			A1="Evaluacion muestra que el conocimiento de vocabulario es regular.\nSe sugiere seguir con la instruccion.";
		}
		else if(puntaje1>=(np*c1)*(2/3)){
			c1--;
			A1="Evaluacion muestra que el conocimiento de vocabulario es alto,\nlo que indica que se ha realizado una correcta intruccion.\nSe puede seguir con el plan de estudio o reducir la carga del mismo.";
		}else{
			A1="Analisis no concluyente";
		}
		
		///////////////////analisis de conjugacion///////////////
		if(puntaje2<=(np*c2)/3){
			c2++;
			c2++;
			A2="Evaluacion muestra deficiencia total en el conocimiento de conjugacion de verbos.\nSe sugiere dar apropiada instruccion";
		}
		else if((np*c2)/3 <puntaje2 && puntaje2 <= (np*c2)/2){
			c2++;
			A2="Evaluacion muestra que el conocimiento de conjugacion de verbos es deficiente.\nSe sugiere poner mas enfasis en el estudio del mismo";
		}
		else if((np*c2)/2 <puntaje2 && puntaje2 <= (np*c2)*(2/3)){
			A2="Evaluacion muestra que el conocimiento de conjugacion de verbos es regular.\nSe sugiere seguir con la instruccion.";
		}
		else if(puntaje2>=(np*c2)*(2/3)){
			c2--;
			A2="Evaluacion muestra que el conocimiento de conjugacion de verbos es alto,\nlo que indica que se ha realizado una correcta intruccion.\nSe puede seguir con el plan de estudio o reducir la carga del mismo.";
		}else{
			A2="Analisis no concluyente";
		}
		
		///////////////////analisis de pronombres///////////////
		if(puntaje3<=(np*c3)/3){
			c3++;
			c3++;
			A3="Evaluacion muestra deficiencia total en el conocimiento de uso de pronombres.\nSe sugiere dar apropiada instruccion";
		}
		else if((np*c3)/3 <puntaje3 && puntaje3 <= (np*c3)/2){
			c3++;
			A3="Evaluacion muestra que el conocimiento del uso de pronombres es deficiente.\nSe sugiere poner mas enfasis en el estudio del mismo";
		}
		else if((np*c3)/2 <puntaje3 && puntaje3 <= (np*c3)*(2/3)){
			A3="Evaluacion muestra que el conocimiento de uso de pronombres es regular.\nSe sugiere seguir con la instruccion.";
		}
		else if(puntaje3>=(np*c3)*(2/3)){
			c3--;
			A3="Evaluacion muestra que el conocimiento de uso de pronombres es alto,\nlo que indica que se ha realizado una correcta intruccion.\nSe puede seguir con el plan de estudio o reducir la carga del mismo.";
		}else{
			A3="Analisis no concluyente";
		}
		
		///////////////////analisis de comprension lectora///////////////
		if(puntaje4<=(np*c4)/3){
			c4++;
			c4++;
			A4="Evaluacion muestra deficiencia total en comprension lectora.\nSe sugiere dar material de lectura";
		}
		if(puntaje4 <= (np*c4)/2){
			c4++;
			A4="Evaluacion muestra que la comprension lectora del individuo es deficiente.\nSe sugiere poner mas atencion en el material de lectura";
		}
		if(puntaje4 <= (np*c4)*(2/3)){
			A4="Evaluacion muestra que la comprension lectora del individuo es regular.\nSe sugiere seguir con la instruccion y el material de lectura.";
		}
		if(puntaje4>=(np*c4)*(2/3)){
			c4--;
			A4="Evaluacion muestra que el individuo tiene pocos problemas de comprension lectora,\nlo que indica que se ha realizado una correcta intruccion.\nSe puede seguir con el plan de estudio o reducir la carga del mismo.";
		}else{
			A4="Analisis no concluyente";
		}
	}
/**
* Retorna análisis del tópico 1
*/	
	String retA1(){
		return A1;
	}
/**
* Retorna análisis del tópico 2
*/	
	String retA2(){
		return A2;
	}
/**
* Retorna análisis del tópico 3
*/	
	String retA3(){
		return A3;
	}
/**
* Retorna análisis del tópico 4
*/	
	String retA4(){
		return A4;
	}
/**
* Retorna nombre jugador
*/	
	String retName(){
		return name;
	}
/**
* Retorna  puntaje tópico 1
*/	
	int retPt1(){
		return puntaje1;
	}
/**
* Retorna  puntaje tópico 2
*/	
	int retPt2(){
		return puntaje2;
	}
/**
* Retorna puntaje tópico 3
*/	
	int retPt3(){
		return puntaje3;
	}
/**
* Retorna puntaje tópico 4
*/	
	int retPt4(){
		return puntaje4;
	}
/**
* Agrega puntaje al tópico 1
*/	
	void addPt1(int plus){
		puntaje1=puntaje1+plus;
	}
/**
* Agrega puntaje al tópico 2
*/	
	void addPt2(int plus){
		puntaje2=puntaje2+plus;
	}
/**
* Agrega puntaje al tópico 3
*/	
	void addPt3(int plus){
		puntaje3=puntaje3+plus;
	}
/**
* Agrega puntaje al tópico 4
*/	
	void addPt4(int plus){
		puntaje4=puntaje4+plus;
	}
/**
* Retorna cantidad de preguntas del tópico 1
*/
	int retc1(){
		return c1;
	}
/**
* Retorna cantidad de preguntas del tópico 2
*/	
	int retc2(){
		return c2;
	}
/**
* Retorna cantidad de preguntas del tópico 3
*/	
	int retc3(){
		return c3;
	}
/**
* Retorna cantidad de preguntas del tópico 4
*/	
	int retc4(){
		return c4;
	}
}
